---
title: Update case comment
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update case comment{% #update-case-comment %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                               |
| ----------------- | -------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/cases/{case_id}/comment/{cell_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/cases/{case_id}/comment/{cell_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/cases/{case_id}/comment/{cell_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/cases/{case_id}/comment/{cell_id} |

### Overview

Updates the text content of an existing comment on a case timeline. The comment is identified by its cell ID.

OAuth apps require the `cases_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Arguments

#### Path Parameters

| Name                      | Type   | Description                                        |
| ------------------------- | ------ | -------------------------------------------------- |
| case_id [*required*] | string | Case's UUID or key                                 |
| cell_id [*required*] | string | The UUID of the timeline cell (comment) to update. |

### Request

#### Body Data (required)

Case update comment payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                   |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------- |
|              | data [*required*]       | object | Data object for updating a case comment.                      |
| data         | attributes [*required*] | object | Attributes for updating a comment.                            |
| attributes   | comment [*required*]    | string | The updated comment message.                                  |
| data         | type [*required*]       | enum   | JSON:API resource type for cases. Allowed enum values: `case` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "comment": "Updated comment text"
    },
    "type": "case"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export case_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de504" export cell_id="f98a5a5b-e0ff-45d4-b2f5-afe6e74de504" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/cases/${case_id}/comment/${cell_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "comment": "Updated comment text"
    },
    "type": "case"
  }
}
EOF 
                
##### 

```python
"""
Update case comment returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.case_management_api import CaseManagementApi
from datadog_api_client.v2.model.case_resource_type import CaseResourceType
from datadog_api_client.v2.model.case_update_comment import CaseUpdateComment
from datadog_api_client.v2.model.case_update_comment_attributes import CaseUpdateCommentAttributes
from datadog_api_client.v2.model.case_update_comment_request import CaseUpdateCommentRequest

body = CaseUpdateCommentRequest(
    data=CaseUpdateComment(
        attributes=CaseUpdateCommentAttributes(
            comment="Updated comment text",
        ),
        type=CaseResourceType.CASE,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_case_comment"] = True
with ApiClient(configuration) as api_client:
    api_instance = CaseManagementApi(api_client)
    api_instance.update_case_comment(case_id="case_id", cell_id="cell_id", body=body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update case comment returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_case_comment".to_sym] = true
end
api_instance = DatadogAPIClient::V2::CaseManagementAPI.new

body = DatadogAPIClient::V2::CaseUpdateCommentRequest.new({
  data: DatadogAPIClient::V2::CaseUpdateComment.new({
    attributes: DatadogAPIClient::V2::CaseUpdateCommentAttributes.new({
      comment: "Updated comment text",
    }),
    type: DatadogAPIClient::V2::CaseResourceType::CASE,
  }),
})
p api_instance.update_case_comment("case_id", "cell_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update case comment returns "OK" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.CaseUpdateCommentRequest{
		Data: datadogV2.CaseUpdateComment{
			Attributes: datadogV2.CaseUpdateCommentAttributes{
				Comment: "Updated comment text",
			},
			Type: datadogV2.CASERESOURCETYPE_CASE,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateCaseComment", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCaseManagementApi(apiClient)
	r, err := api.UpdateCaseComment(ctx, "case_id", "cell_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CaseManagementApi.UpdateCaseComment`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update case comment returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CaseManagementApi;
import com.datadog.api.client.v2.model.CaseResourceType;
import com.datadog.api.client.v2.model.CaseUpdateComment;
import com.datadog.api.client.v2.model.CaseUpdateCommentAttributes;
import com.datadog.api.client.v2.model.CaseUpdateCommentRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateCaseComment", true);
    CaseManagementApi apiInstance = new CaseManagementApi(defaultClient);

    CaseUpdateCommentRequest body =
        new CaseUpdateCommentRequest()
            .data(
                new CaseUpdateComment()
                    .attributes(new CaseUpdateCommentAttributes().comment("Updated comment text"))
                    .type(CaseResourceType.CASE));

    try {
      apiInstance.updateCaseComment(
          "f98a5a5b-e0ff-45d4-b2f5-afe6e74de504", "f98a5a5b-e0ff-45d4-b2f5-afe6e74de504", body);
    } catch (ApiException e) {
      System.err.println("Exception when calling CaseManagementApi#updateCaseComment");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update case comment returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_case_management::CaseManagementAPI;
use datadog_api_client::datadogV2::model::CaseResourceType;
use datadog_api_client::datadogV2::model::CaseUpdateComment;
use datadog_api_client::datadogV2::model::CaseUpdateCommentAttributes;
use datadog_api_client::datadogV2::model::CaseUpdateCommentRequest;

#[tokio::main]
async fn main() {
    let body = CaseUpdateCommentRequest::new(CaseUpdateComment::new(
        CaseUpdateCommentAttributes::new("Updated comment text".to_string()),
        CaseResourceType::CASE,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateCaseComment", true);
    let api = CaseManagementAPI::with_config(configuration);
    let resp = api
        .update_case_comment("case_id".to_string(), "cell_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update case comment returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateCaseComment"] = true;
const apiInstance = new v2.CaseManagementApi(configuration);

const params: v2.CaseManagementApiUpdateCaseCommentRequest = {
  body: {
    data: {
      attributes: {
        comment: "Updated comment text",
      },
      type: "case",
    },
  },
  caseId: "case_id",
  cellId: "cell_id",
};

apiInstance
  .updateCaseComment(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
